from matplotlib import pyplot as plt
import pandas as pd
import numpy as np
import matplotlib as mpl

tetrax = pd.read_csv("bilayer_20nm_iec_RGparam.csv")

disp = np.genfromtxt("dispersion_20nm.dat")
df = 0.08
dk = 0.05
nk, nf = disp.shape
plt.imshow(disp.T, aspect="auto", extent=[-dk*nk*np.pi,dk*nk*np.pi, df*nf,0],norm=mpl.colors.LogNorm())

for i in range(3):
    plt.plot(-tetrax["k (rad/m)"]*1e-6, tetrax[f"f{i} (GHz)"],c="w")
plt.ylim([0,30])
plt.show()
